I would suggest you use aptitude to install the libnet-dev virtual package. I'm running Natty, so your result may be slightly different, when I type:

Code:
sudo aptitude install libnet-dev
I get the following result:

Code:
sudo aptitude install libnet-dev
[sudo] password for cariboo: 
Note: selecting "libnet1-dev" instead of the
      virtual package "libnet-dev"
The following NEW packages will be installed:
  libnet1{a} libnet1-dev 
0 packages upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 176 kB of archives. After unpacking 729 kB will be used.
Do you want to continue? [Y/n/?]
As you can see from the above output the package is now called libnet1-dev.

Note: If you are running maverick you'll have to install aptitude, as it is no longer installed by default.